--
-- coup
--
-- Copyright (c) 2014-2016, rnlf
--
-- This library is free software; you can redistribute it and/or modify it
-- under the terms of the MIT license. See LICENSE for details.
--

local function make(sprite, layer, ox, oy)
  if not sprite then
    error("sprite must be set")
  end

  return {
    sprite = sprite,
    layer = layer or 0,
    ox = ox or 0,
    oy = oy or 0
  }
end


local function newSprites()
  return coup.components.ComponentStore(make)
end


return newSprites
