--
-- coup
--
-- Copyright (c) 2014-2016, rnlf
--
-- This library is free software; you can redistribute it and/or modify it
-- under the terms of the MIT license. See LICENSE for details.
--

local TMT = {}
TMT.__index = TMT

function TMT:lpos(lerp)
  --local p = self.pos * lerp + self.last_pos * (1-lerp)
  local p = self.last_pos + (self.pos -self.last_pos) * lerp
 return p
end

local function make(x, y, r, sx, sy)
  return setmetatable({
    pos = coup.vector.Vector(x, y),
    last_pos = coup.vector.Vector(x, y),
    rot = r or 0,
    scale = coup.vector.Vector(sx or 1, sy or 1)
  }, TMT)
end


local function newTransforms()
  return coup.components.ComponentStore(make)
end

return newTransforms
