#
# coup
#
# Copyright (c) 2014-2016, rnlf
#
# This library is free software; you can redistribute it and/or modify it
# under the terms of the MIT license. See LICENSE for details.
#

COUP_LOVE_VERSION="0.10.2"

LOVE="$(which love)"

if [ -u "$LOVE" ]; then
  echo "LÖVE not found. (Expecting version $COUP_LOVE_VERSION)" >&2
  exit 1
fi

VERSION=$("$LOVE" --version | awk '{print $2}')

if [ "$VERSION" != "$COUP_LOVE_VERSION" ]; then
  echo "Warning, this version of coup is for LÖVE $COUP_LOVE_VERSION, found LÖVE $VERSION" >&2
fi

