--
-- coup
--
-- Copyright (c) 2014-2016, rnlf
--
-- This library is free software; you can redistribute it and/or modify it
-- under the terms of the MIT license. See LICENSE for details.
--

local function make(vx, vy)
  return {
    grav = 1,
    acc = coup.vector.Vector(0, 0),
    vel = coup.vector.Vector(vx, vy),
    max_vel = coup.vector.Vector(200, 1000),
    max_vel_mag = 10000,
    hor_drag = 500
  }
end


local function newVelocities()
  return coup.components.ComponentStore(make)
end

return newVelocities
