--
-- coup
--
-- Copyright (c) 2014-2016, rnlf
--
-- This library is free software; you can redistribute it and/or modify it
-- under the terms of the MIT license. See LICENSE for details.
--

local BASE = ...

coup = {}

for _, n in ipairs({"class", "tables", "smath", "timekeeper", "tilemap", "camera",
                    "tileset", "cache", "entity", "vector", "array2d", "tilelayerrenderer", "tween",
                    "systems", "world", "components", "sprite", "spatialhash", "raster",
                    "asepriteloader", "json", "spriteloader", "tiledloader"}) do
  coup[n] = require(BASE .. "." .. n)
end

coup.math = coup.smath

return coup
