#!/usr/bin/env bash

#
# coup
#
# Copyright (c) 2014-2016, rnlf
#
# This library is free software; you can redistribute it and/or modify it
# under the terms of the MIT license. See LICENSE for details.
#

set -o xtrace

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
DIR="$(realpath --relative-to=$PWD $DIR)"
source "$DIR/common.sh"

cat >coup.conf <<EOF
COUP_DIR="$DIR" 
PROJECT_NAME=""
OSX_BUNDLE_IDENTIFIER=""
EOF

mkdir -p src
mkdir -p data/tilesets
mkdir -p data/tilemaps
mkdir -p data_src/sprites
mkdir -p data_src/tilesets
mkdir -p data_src/tilemaps
mkdir -p data/music
mkdir -p data/sounds

ln -s "$DIR"/coup.sh coup
cp -a "$DIR"/template/* .
sed -i -e "s/\\\$LOVE_VERSION\\\$/$COUP_LOVE_VERSION/" src/conf.lua
