local function loadTorches(datadir)
  torches = {}
  for i, f in ipairs(love.filesystem.getDirectoryItems(datadir)) do
    local df = datadir .. "/" .. f
    if f:find(".json$") then
      local data = love.filesystem.read(df)
      local json = coup.json.decode(data)
      for k, v in pairs(json) do
        torches[k] = v
      end
    end
  end
  return torches
end

return { load = loadTorches }
